Eclipse Platform Release 3.7

## org.eclipse.jface.fieldassist
Class FieldDecoration

    java.lang.Object
      org.eclipse.jface.fieldassist.FieldDecoration

    public class FieldDecoration

extends Object

FieldDecoration is a simple data structure class for specifying a decoration for a field. A decoration may be rendered in different ways depending on the type of field it is used with.

Since:
  3.2
See Also:
  `FieldDecorationRegistry`

Constructor Summary
`FieldDecoration(Image image, String description)` Create a decoration for a field with the specified image and description text.

Method Summary
`String` `getDescription()` Return the description for the decoration shown when the user hovers over the decoration.
`Image` `getImage()` Return the image shown in the decoration, or `null` if no image is specified.
`void` `setDescription(String description)` Set the description for the decoration shown when the user hovers over the decoration.
`void` `setImage(Image image)` Set the image shown in the decoration, or `null` if no image is specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDecoration

    public FieldDecoration(Image image,
                           String description)

  Create a decoration for a field with the specified image and description text.

  Parameters:
    `image` - the image shown in the decoration. A `null` image will result in a blank decoration, which may be used to reserve space near the field.
    `description` - the description shown when the user hovers over the decoration. A `null` description indicates that there will be no hover for the decoration.

Method Detail

### getImage

    public Image getImage()

  Return the image shown in the decoration, or `null` if no image is specified.

  Returns:
    the image shown in the decoration. A return value of `null` signifies a blank decoration.

### setImage

    public void setImage(Image image)

  Set the image shown in the decoration, or `null` if no image is specified. It is up to the caller to update any decorated fields that are showing the description in order to display the new image.

  Parameters:
    `image` - the image shown in the decoration. A value of `null` signifies a blank decoration.

### getDescription

    public String getDescription()

  Return the description for the decoration shown when the user hovers over the decoration.

  Returns:
    the String description of the decoration. A return value of `null` indicates that no description will be shown.

### setDescription

    public void setDescription(String description)

  Set the description for the decoration shown when the user hovers over the decoration. It is up to the caller to update any decorated fields showing the description.

  Parameters:
    `description` - the String description of the decoration. A value of `null` indicates that no description will be shown.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.